"""
Student name:
Date:

Lab01

Note: This is posted as an example introducing using pytest (with
test_lab01.py); see Discord #lec07 channel for screenshots of how
these are used together.
"""

def user_to_email(username):
    """
    Returns @caltech.edu email formatted given username
    (standardized to a lowercased email).

    Arguments:
        - username (str): Username to format email (should be non-empty)

    Returns:
        - (str) Formatted @caltech.edu email
    """
    if username == '':
        return ''
    else:
        # (For demo: showing test failure if we forget
        # to lowercase as per "the spec")
        email = username
        result = f'{email}@caltech.edu'
        return result

# Note: These print statements are included as part of lecture/OH
# El did with students to review modules (see screenshots) but
# wouldn't actually be relevant to pytest in practice.
# print(f'lab01\'s __name__: {__name__}')

if __name__ == '__main__':
    print(f'lab01\'s __name__ in __main__: {__name__}')

    # Example call for Lab 01's function; in mp2_mastermind.py, we have run_game()
    # instead; that function is only called if someone
    # runs python3 mp2_mastermind.py so that pytest test_mp2.py
    # ignores run_game() and only imports the functions in mp2_mastermind
    example = user_to_email('loremhovik')
    print(f'Lorem\'s email: {example}')
